<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>org.talend.studio</groupId>
    <artifactId>tdi-studio-se</artifactId>
    <version>7.3.1-SNAPSHOT</version>
    <relativePath>../../../</relativePath>
  </parent>
  <artifactId>org.talend.libraries.crm</artifactId>
  <packaging>eclipse-plugin</packaging>
  
  <properties>
    <libs.dir>${project.basedir}/lib</libs.dir>
  </properties>
  
  <build>
    <plugins>
        <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-clean-plugin</artifactId>
            <version>3.0.0</version>
            <configuration>
                <filesets>
                    <fileset>
                        <directory>${libs.dir}</directory>
                        <includes>
                            <include>talend-mscrm-*.jar</include>
                        </includes>
                    </fileset>
                </filesets>
            </configuration>
        </plugin>
        <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-dependency-plugin</artifactId>
        <version>2.8</version>
            <executions>
                <execution>
                    <id>copy-jars</id>
                    <phase>generate-sources</phase>
                    <goals>
                        <goal>copy</goal>
                    </goals>
                    <configuration>
                        <artifactItems>
                            <artifactItem>
                                <groupId>org.talend.libraries</groupId>
                                <artifactId>talend-mscrm</artifactId>
                                <version>3.4-20191012</version>
                                <type>jar</type>
                                <overWrite>true</overWrite>
                                <outputDirectory>${libs.dir}</outputDirectory>
                            </artifactItem>
                        </artifactItems>
                    </configuration>
                </execution>
            </executions>
        </plugin>
    </plugins>
  </build>
  
</project>
